# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Decod			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Custom
include 			$(DIR_MORPHEO)/Behavioural/Custom/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Decod_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod

#-----[ Library ]------------------------------------------

Decod_LIBRARY			= 	-lDecod	\
					$(Custom_LIBRARY)		\
					$(Behavioural_LIBRARY)	

Decod_DIR_LIBRARY		=	-L$(Decod_DIR)/lib	\
					$(Custom_DIR_LIBRARY)		\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Decod_library			:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) Custom_library;			\
				$(MAKE) --directory=$(Decod_DIR) --makefile=Makefile;

Decod_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) Custom_library_clean;		\
				$(MAKE) --directory=$(Decod_DIR) --makefile=Makefile clean;

